### Method

# EDataBook DataBook respond_get_contact

#### Declaration [src]

    void
    e_data_book_respond_get_contact (
      EDataBook* book,
      guint32 opid,
      GError* error,
      const EContact* contact
    )

#### Description [src]

Notifies listeners of the completion of the get_contact method call. Only one of `error` and `contact` can be set.

#### Parameters

`opid`

  Type: `guint32`

  An operation ID.

`error`

  Type: `GError`

  Operation error, if any, automatically freed if passed it.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`contact`

  Type: `EContact`

  The found `EContact`, or `NULL`, if it could not be found.

  The argument can be `NULL`.
  The data is owned by the caller of the method.